> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Notify Fulfillment

> Notify fulfillment status and shipping details for a payment order.

This endpoint allows you to add multiple fulfillments to an order to notify fraud prevention providers. Any fulfillments provided will be appended to the ones that already exist.


## OpenAPI

````yaml openapi/payments/notify-fulfillments.json POST /payments/{payment_id}/fulfillments
openapi: 3.1.0
info:
  title: payments
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /payments/{payment_id}/fulfillments:
    post:
      summary: Notify Fulfillment
      description: Notify fulfillment status and shipping details for a payment order.
      operationId: fulfillments
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - status
                - fulfillments
              properties:
                status:
                  type: string
                  description: The status of the order fulfillment.
                  enum:
                    - PARTIAL
                    - COMPLETED
                    - REPLACEMENT
                    - CANCELED
                fulfillments:
                  type: array
                  description: Fulfillments array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        description: >-
                          The unique identifier of the fulfillment (MAX 255; MIN
                          3)
                      type:
                        type: string
                        description: The type of the fulfillment
                        enum:
                          - CUSTOM
                          - MILITARY
                          - ELECTRONIC
                          - EXPRESS
                          - STANDARD
                          - SCHEDULED
                          - ECONOMY
                          - PRIORITY
                          - SAME_DAY
                          - NEXT_DAY
                          - THIRD_DAY
                          - STORE_PICK_UP
                          - LOCKER_PICK_UP
                          - OTHER
                      status:
                        type: string
                        description: The status of the fulfillment.
                        enum:
                          - PARTIAL
                          - COMPLETED
                          - REPLACEMENT
                          - CANCELED
                      description:
                        type: string
                        description: The description of the fulfillment.  (MAX 255; MIN 3)
                      carriers:
                        type: array
                        description: Carriers array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: >-
                                The unique identifier of the carrier (MAX 255;
                                MIN 3)
                            tracking_id:
                              type: array
                              description: >-
                                Tracking identifiers from the carrier (MAX 255;
                                MIN 3 per item)
                              items:
                                type: string
                            tracking_url:
                              type: array
                              description: >-
                                Tracking URLs from the carrier (MAX 999; MIN 1
                                per item)
                              items:
                                type: string
                            shipped_at:
                              type: string
                              description: Shipping date (YYYY-MM-DD)
                              format: date
                            delivered_at:
                              type: string
                              description: Delivery date (YYYY-MM-DD)
                              format: date
                          required:
                            - id
                            - tracking_id
                            - tracking_url
                    required:
                      - id
                      - type
                      - status
                carriers:
                  type: 'null'
                  description: 'Deprecated: use `fulfillments[].carriers` instead'
            examples:
              Request Example:
                value:
                  status: PARTIAL
                  fulfillments:
                    - id: fulfillment-1
                      type: STANDARD
                      status: COMPLETED
                      description: Package delivered successfully.
                      shipped_at: '2024-11-20T15:00:00Z'
                      deliver_at: '2024-11-23T18:00:00Z'
                  carriers:
                    - id: UPS
                      tracking_id:
                        - TRK12345
                        - TRK67890
                      tracking_url:
                        - https://tracking.example.com/TRK12345
                        - https://tracking.example.com/TRK67890
              Empty Carriers:
                summary: Empty Carriers
                value:
                  status: PARTIAL
                  fulfillments:
                    - id: fulfillment-1
                      type: STANDARD
                      status: COMPLETED
                      description: Package delivered successfully.
                      carriers: []
      responses:
        '202':
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                Accepted:
                  summary: Accepted
                  value: ''
          description: Accepted
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Invalid Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
                  summary: Invalid Request
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      x-default: <Your public-api-key>
      name: public-api-key
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````